<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>CSS Course</title>
    <link rel="stylesheet" href="main.css">
</head>

<body>
    <div class="container">
        <!-- sino pudieramos usar la herencia en sass, la manera en que agregariamos los estilos generales y luego los estilos
        especificos a nuestros elementos, sería de la siguiente forma, teniendo que usar dos clases, una de los estilos generales
        que se repiten en los elementos, y otra de los estilos especificos del elemento que estamos declarando -->
        <!-- <section class="sass-section sass-introduction"> -->
        <section class="sass-introduction">
            <p>Sass stands for
                <span class="char-highlight">S</span>yntactically
                <span class="char-highlight">A</span>wesome
                <span class="char-highlight">S</span>tyle
                <span class="char-highlight">S</span>heets and it makes the creation of complex CSS code much easier.</p>
        </section>
        <!-- <section class="sass-section sass-details"> -->
            <section class="sass-details">
            <header class="section-header">
                <h1>Useful Resources</h1>
            </header>
            <ul class="documentation-links">
                <li>
                    <a class="documentation-link link-important" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#using_sass">Using &amp; Installing Sass</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#nested_rules">Nested Rules</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#nested_properties">Nested Properties</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#variables_">Variables</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#lists">Lists &amp; Maps</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/Sass/Script/Functions.html">Built-in Functions</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#import">Better Import</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#partials">Partials</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#media">Advanced @media</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#extend">Inheritance</a>
                </li>
                <li>
                    <a class="documentation-link" href="https://sass-lang.com/documentation/file.SASS_REFERENCE.html#defining_a_mixin">Mixins</a>
                </li>
            </ul>
        </section>
    </div>
</body>

</html>